Please select Into the mobile phone version | Continue to access the computer ver.
Samsung Galaxy S7 No Longer Supported?
1065 3 2021-11-20
Uploading and Loding Picture ...(0/1)
o(^-^)o
gdfaini
lvl.4
Flight distance : 305492 ft
United States
Offline

I went to download the v1.5.1 apk for my files but still only see v1.5.0 in the DJI Download Center.
I see that v1.5.0 no longer lists the Galaxy S7 as a compatible device.
If that is in fact true, then I guess I will be sticking with v1.4.4, the last stable version on my phone.
2021-11-20
Use props
gdfaini
lvl.4
Flight distance : 305492 ft
United States
Offline

DJI Fly v1.5.1 requires Android 6 or higher. My Galaxy S7 has Android 8. Why isn't it on the compatible device list anymore?
2021-11-27
Use props
Popeye1
lvl.4
Flight distance : 511722 ft

United Kingdom
Offline

gdfaini Posted at 11-27 09:39
DJI Fly v1.5.1 requires Android 6 or higher. My Galaxy S7 has Android 8. Why isn't it on the compatible device list anymore?

Have you tried 1.5.1 to see if it works? Probably the only way to find out. You can always go back to an earlier version.
2021-11-27
Use props
gdfaini
lvl.4
Flight distance : 305492 ft
United States
Offline

I have not.  I tried v1.4.8, but that locked up several times and proved to be unsafe.
I went back to v1.4.4, which seems stable.
I'm not willing to risk a version that DJI does not say is compatible with my phone.
I will probaby not update until it provides a benefit worth the risk, or is required by the FAA.
2021-11-27
Use props
Advanced
You need to log in before you can reply Login | Register now

Credit Rules